Package uk.ac.starlink.datanode.factory

# Class CreationState

java.lang.Object
uk.ac.starlink.datanode.factory.CreationState

public class CreationState extends Object
Contains the state used to create a DataNode. The node in question was created using the method `DataNodeFactory.makeDataNode(uk.ac.starlink.datanode.nodes.DataNode, java.lang.Object)` or similar.

## Constructor Summary

Constructors
Constructor
Description
`CreationState(DataNode parent, Object obj)`
Constructs a CreationState object.

## Method Summary

Modifier and Type
Method
Description
`DataNodeBuilder`
`getBuilder()`
`DataNodeFactory`
`getFactory()`
`String`
`getFactoryTrace()`
`Object`
`getObject()`
`DataNode`
`getParent()`
`void`
`setBuilder(DataNodeBuilder builder)`
`void`
`setFactory(DataNodeFactory fact)`
`void`
`setFactoryTrace(String trace)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreationState

public CreationState(DataNode parent, Object obj)
Constructs a CreationState object.

## Method Details

### getParent

public DataNode getParent()

### getObject

public Object getObject()

### setBuilder

public void setBuilder(DataNodeBuilder builder)

### getBuilder

public DataNodeBuilder getBuilder()

### setFactory

public void setFactory(DataNodeFactory fact)

### getFactory

public DataNodeFactory getFactory()

### setFactoryTrace

public void setFactoryTrace(String trace)

### getFactoryTrace

public String getFactoryTrace()

### toString

public String toString()

Overrides:
  `toString` in class `Object`